' C:\Program Files\Quest2\escapeii1.asl created by QDK 1.02

'*** The following line is required by QDK - please do not remove
'QDK-NIP <95>

!include <standard3.lib>

define game <EARTHQUAKE! 2>
asl-version <217>
start <Outside Greenhouse>
game author <Pikaflare>
game version <1.0>
game copyright <(c) 2001 Pikaflare Production>
game info <Created with QDK 1.02 for the enjoyment of all the fans of QUEST! Quest rules!>
default fontname <>
default fontsize <0>
items <ladder; rock; pork; bottle; full bottle; coke; beer; watering can; flashlight; dog; gloves>
startitems <>
collectables <turns p=0 [You have moved ! time*s*.]; glasscrack 0r10=0 []; needwater1 0r5=0 []; bstalkdead 0r1=0 []; openfridge 0r1=0 []; passagefound 0r1=0 []; acidonme 0r8=0 []; score 0r100=0 [Score= !/100]; gloveson 0r1=0 []; hosescore 0r1=0 []; nohosescore 0r1=0 []; ladderscore 0r1=0 []; noladderscore 0r1=0 []; dropscore 0r1=0 []; nodropscore 0r1=0 []>
afterturn do <~Internal Procedure 5>
command <eat #object_to-eat#> if is <#object_to_eat#;pork> then do <~Internal Procedure 80> else if is <#object_to_eat#;dog> then msg <What?! Oh, the poor little puppy! You evil person! Go away!> else msg <I don't find the #object_to_eat# very edible.>
command <drink #drink_this#> if is <#drink_this#;coke> and got <coke> then do <~Internal Procedure 81> else do <~Internal Procedure 82>
command <wear gloves> if got <gloves> then do <~Internal Procedure 86> else msg <You don't have the gloves,>
end define

define synonyms
fridge = refrigerator
refrigerator = fridge
into; in the; into the = in
in the; in; into the = into
take; pick up; take from; get from = get
on; on the; against the = against
end define
define room <Outside Greenhouse>
alias <Outside the Greenhouse>
look <    You are standing outside a greenhouse. There is a large hole in the roof here. You might be able to climb through if you have a ladder or something. to the south is your destroyed home. Too bad the rest of your family never made it. ;(>
north <Road>
east <Outside Garage>
command <lean ladder against wall> do <~Internal Procedure 0>
command <climb ladder> if here <ladder leaning on wall> then do <~Internal Procedure 1> else if NOT here <ladder leaning on wall> then msg <The ladder is not leaning against the wall.>
define object <rock>
look msg <It's just a big rock.>
take do <~Internal Procedure 7>
prefix <a big>

end define
define object <ladder leaning on wall>
look msg <It's that ladder you leaned against the wall.>
take do <~Internal Procedure 43>
hidden

end define
indescription  <You are Outside the Greenhouse.>

end define

define room <Greenhouse Roof>
look <    You are standing on the roof of the greenhouse. There is a beanstalk sticking through a hole in the roof here. You'd better be careful up here. The glass seems to be cracking.>
command <drop #drop_this#> do <~Internal Procedure 2>
command <climb ladder> do <~Internal Procedure 44>
command <climb down ladder> do <~Internal Procedure 45>
command <climb beanstalk> do <~Internal Procedure 46>
command <climb down beanstalk> do <~Internal Procedure 47>
define object <top of the beanstalk>
look msg <It's the top of the beanstalk that you used to escape the house with.>
take msg <Don't be ridiculous.>
prefix <the>

end define
indescription  <You are on the Greenhouse Roof.>

end define

define room <greenhouse2>
alias <Greenhouse>
look <You are standing in the western end of the greenhouse. There is not much to see, other than the towering beanstalk here. To the east is the other half of the Greenhouse.>
east <greenhouse1>
command <climb beanstalk> do <~Internal Procedure 9>
command <water beanstalk> do <~Internal Procedure 65>
define object <beanstalk>
look msg <It's kind of withering a bit.>
take msg <You struggle to pull the beanstalk out of the floor, and give up.>
prefix <a>

end define
define object <bottle>
look msg <The bottle is empty.>
take do <~Internal Procedure 50>
prefix <an empty>

end define
indescription  <You are in the Greenhouse.>

end define

define room <greenhouse1>
alias <Greenhouse>
look <You are in the eastern half of the greenhouse. There are a few boring-looking plants here. There is an empty watering can here. To the south is the door to the living room.>
south <Living Room>
west <greenhouse2>
define object <watering can>
look msg <It's an empty watering can. You can probably find a use for it somehow.>
take do <~Internal Procedure 49>
prefix <an empty>

end define
indescription  <You are in the Greenhouse.>

end define

define room <Living Room>
look <You are standing in a the middle of the living room. There is an old television set here, along with a couch and a destroyed chair.>
north <greenhouse1>
east <Kitchen>
command <enter passage> if here <passage> then do <~Internal Procedure 52> else msg <There is no passage here that I can see.>
define character <dog>
look msg <Oh! It's your friend's dog, Shy. You thought he was dead, so you didn't bother looking for him.>
speak say <Ruff! Ruff!>
gender <he>
prefix <a>
give <pork> do <~Internal Procedure 64>

end define
define object <television>
look msg <It's an old TV. I wonder if it works?>
take msg <It's much too heavy to carry. If it was a portable TV, I could understand you asking.>
prefix <an old>

end define
define object <broken chair>
look msg <It's just an old broken chair, no need to get excited.>
take msg <Don't try to take the chair. I don't think the chair would appreciate that.>
prefix <a>

end define
define object <passage>
look msg <The passage is small and narrow and appears to lead somewhere. You can enter the passage if you would like.>
take msg <It's a tunnel! How can you take that?>
prefix <a small narrow>
hidden

end define
indescription  <You are in the Living Room.>

end define

define room <Kitchen>
look <You are standing in the kitchen. The light is dim in here so don't blame me for not describing anything. I can, however, see a table and a kitchen sink. There is a dark doorway to the south.>
south <Bathroom>
west <Living Room>
command <open fridge> do <~Internal Procedure 59>
define object <table>
look msg <Wow! It's a table! Let's go and play poker with your invisible friends.>
take msg <I won't even ask where you got that idea.>
prefix <an old>

end define
define object <refrigerator>
look msg <It's a refrigerator. There might be something to eat inside.>
take msg <You can't take the fridge.>
prefix <a>

end define
define object <beer>
look msg <It's a can of beer.>
take do <~Internal Procedure 61>
prefix <a>
hidden

end define
define object <pork>
look msg <Mmmm. Pork.>
take do <~Internal Procedure 62>
prefix <a piece of>
hidden

end define
define object <coke>
look msg <It's a can of Coca-Cola! Great!>
take do <~Internal Procedure 63>
prefix <a can of>
hidden

end define
define object <open refrigerator>
look do <~Internal Procedure 70>
take msg <HaHa! That was a good one!>
prefix <an>
hidden

end define
indescription  <You are in the Kitchen.>

end define

define room <Bathroom>
look <You are standing in the bathroom. There is a non-working sink here, and also a toilet.>
north <Kitchen>
command <drop bottle into toilet> do <~Internal Procedure 53>
define object <toilet>
look msg <You look in the toilet and find it is full of water.>
take msg <You can't take a toilet.>
prefix <a>

end define
define object <full bottle>
look msg <The bottle is full of water.>
take do <~Internal Procedure 54>
hidden

end define
indescription  <You are in the Bathroom.>

end define

define room <garage>
alias <Garage>
north <Outside Garage>
script do <~Internal Procedure 72>
command <enter passage> if got <flashlight> and here <garage passage> then do <~Internal Procedure 68> else msg <You can't do that right now.>
command <look> if got <flashlight> then msg <You are standing in the garage. There are rows upon rows of shelves here. On one of the shelves is a ladder.> else msg <I can't see anything!>
define character <dog>
look msg <The dog, Shy, came through the passage after you fed it, remember?>
speak say <Ruff! Ruff!>
gender <he>
prefix <a>
hidden

end define
define object <ladder>
look msg <It's a ladder.>
take do <~Internal Procedure 67>
prefix <a>

end define
define object <garage passage>
look msg <It's a passage connecting the living room and the garage.>
take msg <I think you need a little help.>
prefix <the>
hidden

end define
define object <dog>
look msg <It's Shy, the dog. He came here through the passage remember?>
take do <~Internal Procedure 78>
prefix <a cute little>
hidden

end define
define object <garden hose>
look msg <I'll bet that this garden hose will be extremely useful.>
take if got <gloves> and has <gloveson;=1> then do <~Internal Procedure 83> else do <~Internal Procedure 84>
prefix <a>

end define
define object <gloves>
look msg <They are just an ordinary pair of gloves.>
take do <~Internal Procedure 85>
prefix <a pair of>

end define
indescription  <You are in the Garage.>

end define

define room <Outside Garage>
alias <Outside the Garage>
look <You are standing outside the garage. There is a door to the garage to the south. To the west is the greenhouse. I don't think there is any way inside the greenhouse from out here.>
south <garage>
west <Outside Greenhouse>
indescription  <You are Outside the Garage.>

end define

define room <Road>
look <You are standing alongside a road leading towards downtown.>
north if here <Big Man> and not here <Drunk Man> then say <You can't go past! I won't yet ya.> else do <~Internal Procedure 76>
south <Outside Greenhouse>
script if here <Big Man> then msg <There is a big man blocking your path out of town. He is holding a flashlight.> else msg <There is a big drunk man wobbling slightly in the middle of the road.>
define character <Big Man>
look msg <The man seems angry about something. He's also drunk.>
speak say <Get outta my way! You can't come past here.>
gender <he>
give <beer> do <~Internal Procedure 73>

end define
define character <Drunk Man>
look msg <The man is barely standing. He is completely drunk.>
speak msg <He can't speak.>
gender <he>
prefix <a big>
hidden

end define
define object <flashlight>
look msg <It's a battery-operated flashlight. You can use that for dark places.>
take do <~Internal Procedure 75>
prefix <a>
hidden

end define
indescription  <You are on the Road out of town.>

end define

define procedure <~Internal Procedure 0>
msg <You lean the ladder against the greenhouse wall. You can probably enter the greenhouse now.>
lose <ladder>
showobject <ladder leaning on wall>
set <ladderscore;+1>

end define

define procedure <~Internal Procedure 1>
msg <You climb the ladder and slide a little ways back down. I hope you have good traction on your shoes. Luckily, you do. You climb across the roof and stop above the hole. There is a withering beanstalk here. What the H*ll is going on around here?>
goto <Greenhouse Roof>

end define

define procedure <~Internal Procedure 2>
msg <You drop the #drop_this# and it smashes through the glass to the floor below. You'd better be more careful next time, you might be next.>
lose <#drop_this#>
moveobject <#drop_this#;greenhouse2>
set <glasscrack;+5>
set <dropscore;+1>

end define

define procedure <~Internal Procedure 3>
if NOT has <glasscracked;=5> then do <~Internal Procedure 48>

end define

define procedure <~Internal Procedure 4>
msg <The pressure of the glass is so great, that the entire roof shatters. Glass rains down onto the plants below. You, having been standing on the glass, fall to the floor below.>
say <Aaaaaaaaaahhhhhhhhhhh!!!!>
msg <You scream in horror as the ground rushes up towards you. WHUMP! You hit the ground and are killed instantly.>
playerlose <>
set <glasscracked;+5>

end define

define procedure <~Internal Procedure 5>
if has <glasscrack;+4> and here <top of the beanstalk> then do <~Internal Procedure 3>
if has <glasscrack;=10> and here <top of the beanstalk> then do <~Internal Procedure 4>
set <turns;+1>
if is <greenhouse2;#quest.currentroom#> then set <needwater1;+1>
if has <needwater1;=3> and has <bstalkdead;=0> then do <~Internal Procedure 55>
if has <acidonme;+0> then do <~Internal Procedure 88>
if has <acidonme;=8> then do <~Internal Procedure 89>
if has <hosescore;=1> and has <nohosescore;=0> then do <~Internal Procedure 92>
if has <ladderscore;=1> and has <noladderscore;=0> then do <~Internal Procedure 93>
if has <dropscore;=1> and has <nodropscore;=0> then do <~Internal Procedure 94>

end define

define procedure <~Internal Procedure 6>
give <ladder>
hideobject <ladder>
msg <You pick up the ladder. Be careful, it's heavy.>

end define

define procedure <~Internal Procedure 7>
give <rock>
hideobject <rock>
msg <You pick up the rock and shove it in your pocket.>

end define

define procedure <~Internal Procedure 8>
msg <The #drop_this# shatters the glass and falls to the greenhouse floor below.>
lose <#drop_this#>
moveobject <#drop_this#;greenhouse2>
set <glasscrack;+5>

end define

define procedure <~Internal Procedure 9>
if is <greenhouse2;#quest.currentroom#> and here <beanstalk> then do <~Internal Procedure 58> else msg <The beanstalk has died and you have no way up.>

end define

define procedure <~Internal Procedure 43>
hideobject <ladder leaning on wall>
give <ladder>
msg <Okay, I took the ladder.>

end define

define procedure <~Internal Procedure 44>
msg <You carefully climb down the ladder and jump the last three feet to the ground.>
goto <Outside Greenhouse>

end define

define procedure <~Internal Procedure 45>
msg <You carefully climb down the ladder and jump the last three feet to the ground.>
goto <Outside Greenhouse>

end define

define procedure <~Internal Procedure 46>
if is <Greenhouse Roof;#quest.currentroom#> and here <top of the beanstalk> then do <~Internal Procedure 56> else msg <The beanstalk has died and you have no way down.>

end define

define procedure <~Internal Procedure 47>
if is <Greenhouse Roof;#quest.currentroom#> and here <top of the beanstalk> then do <~Internal Procedure 57> else msg <The beanstalk has already died and you have no way down.>

end define

define procedure <~Internal Procedure 48>
msg <The glass is cracking.>
set <glasscrack;+1>

end define

define procedure <~Internal Procedure 49>
give <watering can>
hideobject <watering can>
msg <You pick up the watering can.>

end define

define procedure <~Internal Procedure 50>
give <bottle>
hideobject <bottle>
msg <You pick up the bottle and switch it to your left hand.>

end define

define procedure <~Internal Procedure 51>

end define

define procedure <~Internal Procedure 52>
msg <You enter the passage and follow it until you reach the end.>
goto <garage>

end define

define procedure <~Internal Procedure 53>
if got <bottle> then do <~Internal Procedure 87> else msg <You don't have the bottle.>

end define

define procedure <~Internal Procedure 54>
give <full bottle>
hideobject <full bottle>
msg <Okay, I have taken the bottle of water.>

end define

define procedure <~Internal Procedure 55>
msg <The beanstalk withers and dies.>
hideobject <top of the beanstalk>
hideobject <beanstalk>
set <bstalkdead;+1>

end define

define procedure <~Internal Procedure 56>
msg <You slide down the slippery surface of the beanstalk and land on the greenhouse floor.>
goto <greenhouse2>

end define

define procedure <~Internal Procedure 57>
msg <You slide down the slippery surface of the beanstalk and land on the greenhouse floor.>
goto <greenhouse2>

end define

define procedure <~Internal Procedure 58>
msg <You climb the beanstalk up out of the house, and onto the roof.>
goto <Greenhouse Roof>

end define

define procedure <~Internal Procedure 59>
if has <openfridge;=1> then msg <You open the fridge and find it empty.> else do <~Internal Procedure 71>

end define

define procedure <~Internal Procedure 60>
msg <There is some beer, a little bit of pork, and a Coke here.>
showobject <coke>
showobject <pork>
showobject <beer>

end define

define procedure <~Internal Procedure 61>
give <beer>
hideobject <beer>
msg <You pick up the beer.>
set <score;+5>

end define

define procedure <~Internal Procedure 62>
give <pork>
hideobject <pork>
msg <You pick up the piece of pork.>

end define

define procedure <~Internal Procedure 63>
give <coke>
hideobject <coke>
msg <When you take the Coke, you can barely resist the urge to drink it now.>

end define

define procedure <~Internal Procedure 64>
msg <The dog barks excitedly and gobbles down the food. It then runs out of the room via a small passage you never noticed before.>
lose <pork>
hidechar <dog>
showobject <passage>
set <passagefound;+1>
set <score;+15>

end define

define procedure <~Internal Procedure 65>
msg <You water the beanstalk and it seems to dehydrate even more. I think it's going to die soon.>
set <needwater1;+1>
lose <full bottle>
moveobject <bottle;#quest.currentroom#>
give <bottle>
hideobject <bottle>

end define

define procedure <~Internal Procedure 66>
msg <You are standing in a large room with several shelves of junk on them. There is a hose rack on the wall here. There might still be a hose.>
showobject <garden hose>

end define

define procedure <~Internal Procedure 67>
give <ladder>
hideobject <ladder>
msg <You pick up the ladder.>
set <score;+5>

end define

define procedure <~Internal Procedure 68>
msg <You shine the flashlight in what you hope is the passage. You find it and slide your way through to the living room.>
goto <Living Room>

end define

define procedure <~Internal Procedure 69>
give <flashlight>
hideobject <flashlight>
msg <You pick up the flashlight.>

end define

define procedure <~Internal Procedure 70>
msg <There is a beer, a Coke, and a piece of pork inside.>
showobject <beer>
showobject <pork>
showobject <coke>

end define

define procedure <~Internal Procedure 71>
msg <You open the door of the fridge and find a beer, a can of Coke, and a piece of pork inside.>
showobject <beer>
showobject <pork>
showobject <coke>
set <openfridge;+1>
set <score;+5>

end define

define procedure <~Internal Procedure 72>
if got <flashlight> then do <~Internal Procedure 66> else msg <It's too dark to see anything.>
if has <passagefound;=1> then showobject <garage passage>
if got <flashlight> and here <garage passage> then do <~Internal Procedure 79>
if here <ladder> then msg <There is a ladder here on a shelf.>
if here <gloves> then msg <There is a pair of gloves here.>

end define

define procedure <~Internal Procedure 73>
say <Mmmm. Beer. Thanks.>
lose <beer>
msg <The man drinks the beer in a few gulps. That one must have pushed him over the limit. He wobbles shakily on his feet and drops the flashlight. He's still quaking after a few minutes.>
hidechar <Big Man>
showchar <Drunk Man>
hideobject <beer>
showobject <flashlight>
set <score;+10>

end define

define procedure <~Internal Procedure 74>
say <You can't have that.>
msg <The man yanks his flashlight out of your grip.>

end define

define procedure <~Internal Procedure 75>
give <flashlight>
hideobject <flashlight>
msg <You pick up the flashlight>
set <score;+5>

end define

define procedure <~Internal Procedure 76>
if got <dog> then do <~Internal Procedure 77> else msg <The man still won't let you past.>

end define

define procedure <~Internal Procedure 77>
msg <You have successfully completed this mission.>
set <score;+20>
if has <score;=100> then msg <Wow! You have achieved a perfect score! Either you cheated by looking at the game script, or you are an excellent I-F gamer! Great work if so.> else if has <score;-50> then msg <I don't think you tried too hard.> else msg <Well, you did do a pretty good job. You still didn't get a perfect score. Better luck next time.>
exec <about>
pause <1500>
playerwin <>

end define

define procedure <~Internal Procedure 78>
give <dog>
hideobject <dog>
hidechar <dog>
msg <You pick up the cuddly dog.>
set <score;+15>

end define

define procedure <~Internal Procedure 79>
showobject <dog>
showchar <dog>

end define

define procedure <~Internal Procedure 80>
msg <Pork good. Me no hungry now! Me eat more. NOW!>
lose <pork>
hideobject <pork>

end define

define procedure <~Internal Procedure 81>
msg <That tasted excellent. I don't think you're going to be very hungry for a while.>
lose <coke>
hideobject <coke>
set <score;+5>

end define

define procedure <~Internal Procedure 82>
if is <#drink_this#;coke> and not got <coke> then msg <You don't have the Coke.>
if is <#drink_this#;beer> and got <beer> then msg <No thanks.> else if is <#drink_this#;beer> and not got <beer> then msg <You don't have the beer> else msg <I don't want to drink the #drink_this#.>

end define

define procedure <~Internal Procedure 83>
msg <As you go to grab the hose, a bright slime jumps onto your hands. Fortunately, you are wearing gloves, but you can still feel a bad burning sensation.>
msg <you quickly drop the garden hose. The acid, or whatever, goes with it.>
set <hosescore;+1>

end define

define procedure <~Internal Procedure 84>
msg <As you grab the hose, a bright green acid burns through your fingers.>
set <acidonme;+1>

end define

define procedure <~Internal Procedure 85>
give <gloves>
hideobject <gloves>
msg <You pick up the gloves.>

end define

define procedure <~Internal Procedure 86>
msg <You quickly put on the gloves. Goin' to work, are ya?>
set <gloveson;+1>

end define

define procedure <~Internal Procedure 87>
msg <You drop the bottle into the toilet and it quickly fills up with water.>
lose <bottle>
hideobject <bottle>
showobject <full bottle>

end define

define procedure <~Internal Procedure 88>
set <acidonme;+1>
msg <The acid is spreading across you.>

end define

define procedure <~Internal Procedure 89>
msg <The aicd covers you completely and you are eaten alive.>
playerlose <>

end define

define procedure <~Internal Procedure 90>
if got <gloves> and not has <gloveson=0> then do <~Internal Procedure 91> else if got <gloves> and not has <gloveson;=1> then msg <You're not wearing the gloves.> else msg <You don't have the gloves.>

end define

define procedure <~Internal Procedure 91>
msg <You take off the gloves.>
set <gloveson;-1>

end define

define procedure <~Internal Procedure 92>
set <score;+5>
set <nohosescore;+1>

end define

define procedure <~Internal Procedure 93>
set <score;+10>
set <noladderscore;+1>

end define

define procedure <~Internal Procedure 94>
set <score;+5>
set <nodropscore;+1>

end define

define text <intro>
You escape through the roof of your house only to discover the entire city in ruins. Your mission is to escape from this city alive as well as rescue any survivors you find. Good luck on your mission Adventurer!
end define

define text <win>
You have escaped the city. Well, actually it was a village, but who cares.
end define

define text <lose>
I'm sorry to say this, but, you have failed your mission. There is no hope of escaping death this time. Please try this game again, as it can sometimes be fun. It's a little boring, but it's not a hard game. Please play this game again, and post a message on the Quest forum at www.axeuk.com or email me at Pikablitz2@hotmail.com and tell me what you think of the game. I'm eager to see if anyone can get a perfect score.                                Thanx                                                                                                                                    Pikaflare-- Pikablitz2@hotmail.com
end define

define text <Hi>
I hope some of you people out there actually take a look at this. Be sure to play the game at least twice before cheating at looking here. I hope you like this game. If you would like me to make some more, then post a message on the message board or email me at Pikablitz2@hotmail.com and tell me if you liked it or not. I kind of like it, as it's only my third game that I've made. I'm making a 3D game with 3D GameStudio called Nitex: the Beginning of the End. I've also made EARTHQUAKE! and this game, EARTHQUAKE! 2. Please give me some ideas for games. I would be grateful if you did and I'd most likely start on it right away. I'm still working on a game called CaRoLiNE WaRPeD. Nobody here can play it though, as it's only only for me and my friends. Oh, by the way, I'm making two other games. They are called The Cave of Treasures 1 & 2. I'll make a web site on Quest and QDK soon and add them to it. Have fun everyone!                                              Thanx                                                                                                                                    Pikaflare-- Pikablitz2@hotmail.com
end define


